> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset user password



## OpenAPI

````yaml post /profile/reset-password
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /profile/reset-password:
    post:
      tags:
        - profile
      summary: Reset user password
      operationId: ProfileController_resetPassword
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResetPasswordDto'
      responses:
        '200':
          description: Password reset successfully
      security:
        - apiKey: []
components:
  schemas:
    ResetPasswordDto:
      type: object
      properties:
        email:
          type: string
          example: user@example.com
          description: User email
        oldPassword:
          type: string
          example: OldPass123!
          description: Current password
        newPassword:
          type: string
          example: NewPass123!
          description: >-
            New password must contain at least 8 characters, one uppercase, one
            lowercase, one number and one special character
        confirmNewPassword:
          type: string
          example: NewPass123!
          description: Confirm new password
      required:
        - email
        - oldPassword
        - newPassword
        - confirmNewPassword
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````